# Uses of Interface
com.sun.mirror.type.PrimitiveType

Packages that use PrimitiveType
Package
Description
com.sun.mirror.util
Utilities to assist in the processing of declarations and types.

## Uses of PrimitiveType in com.sun.mirror.util

Methods in com.sun.mirror.util that return PrimitiveType
Modifier and Type
Method
Description
`PrimitiveType`
Types.`getPrimitiveType(PrimitiveType.Kind kind)`
Returns a primitive type.
Methods in com.sun.mirror.util with parameters of type PrimitiveType
Modifier and Type
Method
Description
`void`
SimpleTypeVisitor.`visitPrimitiveType(PrimitiveType t)`
Visits a primitive type.
`void`
TypeVisitor.`visitPrimitiveType(PrimitiveType t)`
Visits a primitive type.